Bug 189429 - yum fails on update if both x86_64 and i386 packages are installed
yum fails on update if both x86_64 and i386 packages are installed
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2006-04-19 17:59 EDT by Pawel Stolowski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: arts-1.5.7-0.1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-14 10:57:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pawel Stolowski 2006-04-19 17:59:36 EDT
Description of problem:
Yum fails to update recently released packages for KDE (and GNOME too) if both
x86_64 and i386 versions are installed on the system and available for update.
The problem occurs in Transaction test phase and is caused by numerous conflicts
detected in *.x86_64 and respective *.i386 packages.

Version-Release number of selected component (if applicable):

How reproducible:
FC5 x86_64 must be installed with KDE desktop. Please note that x86_64 and i386
KDE packages for most important components will be installed by defaults (e.g.
arts, kdebase, kdelibs).

Steps to Reproduce:
1. yum update
Actual results:
Transaction Check Error:   file /usr/bin/artsdsp from install of
arts-1.5.2-0.1.fc5 conflicts with file from package arts-1.5.1-1.2

Expected results:
KDE 3.5.2 and arts-1.5.2 should be installed (i386 and x84_64 versions).

Additional info:
Obviously respective x84_64 and i386 packages contain conflicting files. But
these conflicts are also present in original packages on FC5 install DVD.
Comment 1 Jeremy Katz 2006-04-19 18:08:47 EDT
The i386 packages for these should have been pushed into the x86_64 updates as well.

Comment 2 George R. Goffe 2007-06-29 16:06:19 EDT

I'm having the same problem with FC 6 and the i386 vs x86_64 packages.

Is there a recovery procedure for this problem. I think yum was installing both
i386 AND x86_64 packages. My initial installation was for x86_64 and then I did
a LOT of yum install <pkgname>. It's looking like this would install both on my

Any/all help/hints/tips/suggestions would be appreciated.


Comment 3 Rex Dieter 2007-11-14 10:57:29 EST
I can confirm that the lateste arts.i386 and arts.x86_64 that exist in
fc6-updates/x86_64 install/upgrade cleanly multilib-wise.

Note You need to log in before you can comment on or make changes to this bug.